#version 300 es
layout(location = 0) in vec2 position;

uniform mat4 invProjectionViewMat;

out vec4 vLocalPosition;

void main(){
  gl_Position = vec4(position.xy, 1, 1.0);
  vLocalPosition = invProjectionViewMat * gl_Position;
}